=== debian/changelog ===
openvpn (2.5.5-1.0nosystemd1) nosystemd; urgency=medium

  * added runit service file
  * remove hard dependency on libsystemd0/libelogind0  

 -- anticapitalista <antix@operamail.com>  Mon, 21 Feb 2022 17:04:41 +0200

openvpn (2.5.5-1) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New upstream version 2.5.5
  * Declare compliance with Debian Policy 4.6.0.1
  * d/copyright:
    - Remove duplicate entries;
    - Refresh for new upstream release
    - Add 2021 to myself

  [ Bernhard Schmidt ]
  * Refresh patches for new upstream version

 -- Bernhard Schmidt <berni@debian.org>  Mon, 21 Feb 2022 12:05:55 +0100
