=== debian/control ===
--- 
+++ 
@@ -12,16 +12,10 @@
  libpam0g-dev,
  libpkcs11-helper1-dev,
  libssl-dev,
- libsystemd-dev [linux-any],
  net-tools [!linux-any],
  pkg-config,
- python3-docutils,
- systemd [linux-any]
-# systemctl from src:docker-systemctl-replacement declaring Provides: systemd
-# only necessary for experimental with the apscud resolver
-# See Bug#959828
-Build-Conflicts: systemctl
-Standards-Version: 4.5.0
+ python3-docutils
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://openvpn.net/
 Vcs-Git: https://salsa.debian.org/debian/openvpn.git
