## openvpn 2.5.6

=== debian/changelog ===
openvpn (2.5.6-1.0nosystemd1) nosystemd; urgency=medium

  * added runit service file
  * remove hard dependency on libsystemd0/libelogind0 

 -- anticapitalista <antix@operamail.com>  Mon, 21 Mar 2022 13:36:49 +0200

openvpn (2.5.6-1) unstable; urgency=high

  * New upstream version 2.5.6
    CVE-2022-0547 - Potential authentication by-pass with multiple deferred
    authentication plug-ins plug-ins (Closes: #1008015)

 -- Bernhard Schmidt <berni@debian.org>  Sun, 20 Mar 2022 21:42:05 +0100
