=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: openvpn
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bernhard Schmidt <berni@debian.org>
+Maintainer: Bernhard Schmidt <berni@debian.org>
 Uploaders: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  debhelper-compat (= 12),
  dpkg-dev (>= 1.16.1),
  liblz4-dev,
  liblzo2-dev,
+ libnl-genl-3-dev [linux-any],
  libp11-kit-dev,
  libpam0g-dev,
  libpkcs11-helper1-dev,
  libssl-dev,
- libsystemd-dev [linux-any],
  net-tools [!linux-any],
  pkg-config,
- python3-docutils,
- systemd [linux-any]
+ python3-docutils
 Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://openvpn.net/
@@ -30,14 +28,14 @@
  debconf | debconf-2.0,
  ${shlibs:Depends},
  ${misc:Depends},
- iproute2 [linux-any],
  net-tools [!linux-any],
  lsb-base (>= 3.0-6)
 Suggests:
  openssl,
  resolvconf,
+ openvpn-dco-dkms,
  openvpn-systemd-resolved,
- easy-rsa
+Recommends: easy-rsa
 Description: virtual private network daemon
  OpenVPN is an application to securely tunnel IP networks over a
  single UDP or TCP port. It can be used to access remote sites, make
